%global srcname jaxrs-api

Name:           jakarta-ws-rs
Version:        2.1.6
Release:        %mkrel 1
Group:          Development/Java
Summary:        Jakarta RESTful Web Services
# ASL 2.0: jaxrs-api/src/main/java/javax/ws/rs/core/GenericEntity.java
License:        (EPL-2.0 or GPLv2 with exceptions) and ASL 2.0

URL:            https://github.com/eclipse-ee4j/jaxrs-api
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(jakarta.xml.bind:jakarta.xml.bind-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)
BuildRequires:  mvn(org.glassfish.jaxb:jaxb-runtime)
BuildRequires:  mvn(org.mockito:mockito-core)

# package renamed in fedora 33, remove in fedora 35
Provides:       glassfish-jax-rs-api = %{version}-%{release}
Obsoletes:      glassfish-jax-rs-api < 2.1.6-7

# javadoc subpackage is currently not built
Obsoletes:      glassfish-jax-rs-api-javadoc < 2.1.6-7

%description
JAX-RS Java API for RESTful Web Services (JSR 339).


%prep
%setup -q -n %{srcname}-%{version}

pushd jaxrs-api
# remove unnecessary maven plugins
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-jxr-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_remove "pom:build/pom:finalName"

# add aliases for old maven artifact coordinates
%mvn_alias jakarta.ws.rs:jakarta.ws.rs-api javax.ws.rs:javax.ws.rs-api
popd


%build
pushd jaxrs-api
# skip javadoc build due to https://github.com/fedora-java/xmvn/issues/58
%mvn_build -j -- -DbuildNumber=unknown
popd


%install
pushd jaxrs-api
%mvn_install
popd


%files -f jaxrs-api/.mfiles
%license LICENSE.md NOTICE.md
%doc README.md CONTRIBUTING.md



%changelog
* Fri Sep 04 2020 daviddavid <daviddavid> 2.1.6-1.mga8
+ Revision: 1621694
- Update to 2.1.6
- package renamed to jakarta-ws-rs

* Sat Feb 15 2020 umeabot <umeabot> 2.1.5-4.mga8
+ Revision: 1527503
- Mageia 8 Mass Rebuild

* Wed Jul 17 2019 daviddavid <daviddavid> 2.1.5-3.mga8
+ Revision: 1422223
- Update to latest upstream release
- Project moved to Eclipse EE4j project
- Fix compatibility symlink and alias
- Fix duplicate javadoc execution

* Tue Sep 18 2018 umeabot <umeabot> 2.0.1-6.mga7
+ Revision: 1260748
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 2.0.1-5.mga6
+ Revision: 982576
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.0.1-4.mga6
+ Revision: 976275
- First rebuild of the java stack
- sync package glassfish-jax-rs-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-7.mga5
+ Revision: 749528
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.0-5.mga4
+ Revision: 544854
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 2.0-4.mga4
+ Revision: 489383
- imported package glassfish-jax-rs-api

